package convert.relaxng.output.xsd.basic;

import convert.relaxng.edit.SourceLocation;
import convert.xml.util.Name;

public abstract class SingleAttributeUse extends AttributeUse {
  public SingleAttributeUse(SourceLocation location, Annotation annotation) {
    super(location, annotation);
  }

  public abstract Name getName();
  public abstract SimpleType getType();
  public abstract boolean isOptional();
  public String getDefaultValue() {
    return null;
  }
}
